## seetaface-open-role-zoo 2.0.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # global root dir
 set(SOLUTION_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 add_definitions(-DORZ_SOLUTION_DIR="${SOLUTION_DIR}")
+
+# add secure compilation options
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")
 
 # dir for common cmake files
 list(APPEND CMAKE_MODULE_PATH ${SOLUTION_DIR}/cmake)
