=== debian/changelog ===
seetaface-open-role-zoo (2.0.0.0) UNRELEASED; urgency=medium

  * update

 -- likier <likier@sina.cn>  Mon, 20 Jun 2022 18:04:47 +0800

seetaface-open-role-zoo (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:32:13 +0800
