=== debian/changelog ===
seetaface-open-role-zoo (2.0.0.0deepin0) unstable; urgency=medium

  [ likier ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:18:24 +0800
